wxSQLite3: wxSQLite3Blob Class Reference

wxSQLite3 3.3.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxSQLite3Blob Class Reference

Represents a SQLite BLOB handle. More...

`#include <wxsqlite3.h>`

## Public Member Functions
| wxSQLite3Blob ()
| Constructor. More...
| wxSQLite3Blob (const wxSQLite3Blob &blob)
| Copy constructor. More...
wxSQLite3Blob & | operator= (const wxSQLite3Blob &blob)
| Assignement constructor. More...
| wxSQLite3Blob (wxSQLite3DatabaseReference *m_db, wxSQLite3BlobReference *blobHandle, bool writable)
| Constructor (internal use only) More...
virtual | ~wxSQLite3Blob ()
| Destructor. More...
wxMemoryBuffer & | Read (wxMemoryBuffer &blobValue, int length, int offset)
| Read partial BLOB value. More...
void | Write (const wxMemoryBuffer &blobValue, int offset)
| Write partial BLOB value. More...
bool | IsOk ()
| Check whether the BLOB handle is correctly initialized. More...
bool | IsReadOnly ()
| Check whether the BLOB handle is read only. More...
int | GetSize ()
| Get the size of the associated BLOB. More...
void | Rebind (wxLongLong rowid)
| Rebind the associated BLOB to a new row. More...
void | Finalize ()
| Finalize the BLOB. More...

## Detailed Description

Represents a SQLite BLOB handle.

## Constructor & Destructor Documentation

wxSQLite3Blob::wxSQLite3Blob | ( |  | ) |

Constructor.

wxSQLite3Blob::wxSQLite3Blob | ( | const wxSQLite3Blob & | blob | ) |

Copy constructor.

wxSQLite3Blob::wxSQLite3Blob | ( | wxSQLite3DatabaseReference * | m_db,
|  | wxSQLite3BlobReference * | blobHandle,
|  | bool | writable
| ) |  |

Constructor (internal use only)

wxSQLite3Blob::~wxSQLite3Blob | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

void wxSQLite3Blob::Finalize | ( |  | ) |

Finalize the BLOB.

int wxSQLite3Blob::GetSize | ( |  | ) |

Get the size of the associated BLOB.

Returns
  the BLOB size

bool wxSQLite3Blob::IsOk | ( |  | ) |

Check whether the BLOB handle is correctly initialized.

Returns
  TRUE if the BLOB handle is correctly initialized, FALSE otherweis

bool wxSQLite3Blob::IsReadOnly | ( |  | ) |

Check whether the BLOB handle is read only.

Returns
  TRUE if the BLOB handle is readonly, FALSE otherweis

wxSQLite3Blob & wxSQLite3Blob::operator= | ( | const wxSQLite3Blob & | blob | ) |

Assignement constructor.

wxMemoryBuffer & wxSQLite3Blob::Read | ( | wxMemoryBuffer & | blobValue,
|  | int | length,
|  | int | offset
| ) |  |

Read partial BLOB value.

Parameters

  blobValue | memory buffer receiving the partial content of the BLOB
  length | length of BLOB content to be read
  offset | offset within BLOB where the read starts

Returns
  the address of the memory buffer

void wxSQLite3Blob::Rebind | ( | wxLongLong | rowid | ) |

Rebind the associated BLOB to a new row.

Please refer to the SQLite documentation for further information (see function sqlite3_blob_reopen)

Parameters

  rowid | id of the row to which the BLOB should be rebound

Since
  SQLite3 version 3.7.4

void wxSQLite3Blob::Write | ( | const wxMemoryBuffer & | blobValue,
|  | int | offset
| ) |  |

Write partial BLOB value.

Parameters

  blobValue | memory buffer receiving the partial content of the BLOB
  offset | offset within BLOB where the read starts

The documentation for this class was generated from the following files:

- wxsqlite3.h
- wxsqlite3.cpp